-- Copyright © 2012 Xianghar  <xian@zron.de>
-- All Rights Reserved.
-- This code is not to be modified or distributed without written permission by the author.
-- Current distribution permissions only include curse.com, wowui.worldofwar.net, wowinterface.com and their respective addon updaters


local _, MonkTimers = ...

MonkTimers.AvailableSpells = {}
MonkTimers.AvailableTalents = {}

MonkTimers.SpellIDs = {
    TigerPalm = 100787,
    TigerPower = 125359,
    PowerGuard = 118636,
    BlackoutKick = 100784,
    Shuffle = 115307,
    ElusiveBrew = 115308,
    ElusiveBrewStacks = 128939,
    ElusiveBrewBuff = 126453,
}

MonkTimers.SpellTextures = {}
MonkTimers.SpellNames = {}

for k,v in pairs(MonkTimers.SpellIDs) do
    local n,_,t = GetSpellInfo(v)
    MonkTimers.SpellTextures[v] = t
    MonkTimers.SpellNames[v] = n
end


local function GetSpellTab(tab)
    local _, _, offset, numSpells = GetSpellTabInfo(tab)
    local AvailableSpells = MonkTimers.AvailableSpells
    for s = offset + 1, offset + numSpells do 
        local spelltype, spell = GetSpellBookItemInfo(s, BOOKTYPE_SPELL)
        if spelltype == "SPELL" then print(GetSpellInfo(spell))
            AvailableSpells[spell] = true
        end
    end
end    


function MonkTimers.GetSpells()
    local AvailableSpells = MonkTimers.AvailableSpells
    wipe(AvailableSpells)
    for _,s in pairs(MonkTimers.SpellIDs) do
        AvailableSpells[s] = IsSpellKnown(s)
    end
    return true
end


function MonkTimers.LearnedSpell(spell,tab)
    if spell then
        MonkTimers.AvailableSpells[spell] = true
    else
        MonkTimers.GetSpells()
    end
end


function MonkTimers.ChangedTalents()
	MonkTimers.GetSpells()
    MonkTimers.SelectActiveProfile()
    MonkTimers.ExecuteProfile()
end
